Package com.ngrok.definitions

# Class EndpointBackendMutate.Builder

java.lang.Object
com.ngrok.definitions.EndpointBackendMutate.Builder

Enclosing class:
  EndpointBackendMutate

public static class EndpointBackendMutate.Builder extends Object
Builder class for `EndpointBackendMutate`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointBackendMutate.Builder`
  `backendId(String backendId)`
  backend to be used to back this endpoint
  `EndpointBackendMutate.Builder`
  `backendId(Optional<String> backendId)`
  backend to be used to back this endpoint
  `EndpointBackendMutate`
  `build()`
  Constructs the `EndpointBackendMutate` instance.
  `EndpointBackendMutate.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointBackendMutate.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointBackendMutate.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointBackendMutate.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### backendId

    public EndpointBackendMutate.Builder backendId(String backendId)
    backend to be used to back this endpoint
    Parameters:
      `backendId` - the value of the `backend_id` parameter as a `String`
    Returns:
      this builder instance

  - ### backendId

    public EndpointBackendMutate.Builder backendId(Optional<String> backendId)
    backend to be used to back this endpoint
    Parameters:
      `backendId` - the value of the `backend_id` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointBackendMutate build()
    Constructs the `EndpointBackendMutate` instance.
    Returns:
      a new `EndpointBackendMutate`